<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Variety extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mvariety');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $q = urldecode($this->input->get('q', TRUE));
        $start = intval($this->input->get('start'));

        if ($q <> '') {
            $config['base_url'] = base_url() . 'variety?q=' . urlencode($q);
            $config['first_url'] = base_url() . 'variety?q=' . urlencode($q);
        } else {
            $config['base_url'] = base_url() . 'variety';
            $config['first_url'] = base_url() . 'variety';
        }

        $config['per_page'] = 10;
        $config['page_query_string'] = TRUE;
        $config['total_rows'] = $this->Mvariety->totalRows($q);
        $variety = $this->Mvariety->getLimitData($config['per_page'], $start, $q);

        $this->load->library('pagination');
        $this->pagination->initialize($config);

        $data = array(
            'variety_data' => $variety,
            'q' => $q,
            'pagination' => $this->pagination->create_links(),
            'total_rows' => $config['total_rows'],
            'start' => $start,
        );

        return view('variety/Variety_list', $data);
    }



    public function create()
    {
        $data = array(
            'button' => 'Create',
            'action' => site_url('variety/create_action'),
            'id' => set_value('id'),
            'namavariety' => set_value('namavariety'),
            'kelas' => set_value('kelas'),
            'sort' => set_value('sort'),
        );

        return view('variety/Variety_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'namavariety' => $this->input->post('namavariety', TRUE),
                'kelas' => $this->input->post('kelas', TRUE),
                'sort' => $this->input->post('sort', TRUE),
            );

            $this->Mvariety->insertData($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('variety'));
        }
    }

    public function update($id)
    {
        $row = $this->Mvariety->first('id', $id);

        if ($row) {
            $data = array(
                'button' => 'Update',
                'action' => site_url('variety/update_action'),
                'id' => set_value('id', $row->id),
                'namavariety' => set_value('namavariety', $row->namavariety),
                'kelas' => set_value('kelas', $row->kelas),
                'sort' => set_value('sort', $row->sort),
            );
            return view('variety/Variety_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('variety'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id', TRUE));
        } else {
            $data = array(
                'namavariety' => $this->input->post('namavariety', TRUE),
                'kelas' => $this->input->post('kelas', TRUE),
                'sort' => $this->input->post('sort', TRUE),
            );

            $this->Mvariety->updateData($data, $this->input->post('id', TRUE));
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('variety'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mvariety->first('id', $id);

        if ($row) {
            $this->Mvariety->deleteData($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('variety'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('variety'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('namavariety', 'namavariety', 'trim|required');
        $this->form_validation->set_rules('kelas', 'kelas', 'trim|required');
        $this->form_validation->set_rules('sort', 'sort', 'trim|required');

        $this->form_validation->set_rules('id', 'id', 'trim');
        $this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }
}

/* End of file Variety.php */
/* Location: ./application/controllers/Variety.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2019-08-28 01:58:11 */
/* http://harviacode.com */
